﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc.RazorPages;

using System.IO;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;

namespace Upload_File_FormCollection_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        private IHostingEnvironment Environment;
        public string Message { get; set; }

        public IndexModel(IHostingEnvironment _environment)
        {
            Environment = _environment;
        }

        public void OnGet()
        {

        }

        public void OnPostUpload()
        {
            if (Request.Form.Files.Count > 0)
            {
                IFormFile postedFile = Request.Form.Files["postedFile"];
                string path = Path.Combine(this.Environment.WebRootPath, "Uploads");
                if (!Directory.Exists(path))
                {
                    Directory.CreateDirectory(path);
                }

                string fileName = Path.GetFileName(postedFile.FileName);
                using (FileStream stream = new FileStream(Path.Combine(path, fileName), FileMode.Create))
                {
                    postedFile.CopyTo(stream);
                    this.Message = "File uploaded successfully.";
                }
            }
        }
    }
}